\setcounter{errorcontextlines}{100}
\listfiles
\NeedsTeXFormat{LaTeX2e}[1999/12/01]
\ProvidesClass{Gefahrgutformular}
    [2019/04/03 v0.1a Gefahrgutformular (RN/PTB)]

\DeclareOption*{\PassOptionsToClass{\CurrentOption}{scrartcl}}
\ProcessOptions\relax
\PassOptionsToPackage{paper=a4,pagesize}{typearea}

\LoadClass[%
,fontsize=10pt
]{scrartcl}

\RequirePackage{ifxetex,ifluatex}

\newif\ifXeOrLua \XeOrLuafalse
\ifxetex\XeOrLuatrue\else\ifluatex\XeOrLuatrue\fi\fi

\ifXeOrLua% XeLaTeX oder luaLaTeX
  \input{gefahrgutformular-new-engines.clo}
\else
  \input{gefahrgutformular-old-engines.clo}
\fi

\renewcommand*\familydefault{\sfdefault}

\newcommand*\vl@doc@style@code{616~00~h}

\RequirePackage{graphicx,eso-pic,pict2e,picture,xcolor,trimspaces}
\RequirePackage[ngerman]{babel}

\let\vl@tempdima=\@ovxx
\let\vl@tempdimb=\@ovyy
\let\vl@tempdimc=\@ovdx
\let\vl@tempdimd=\@clnwd
\let\vl@tempdime=\@clnht
\let\vl@tempdimf=\@dashdim
\newcommand\vl@tempa{}

\AddToShipoutPictureBG{%
  \frenchspacing
  \AtPageLowerLeft{%
    \linethickness{0.6bp}%
    \put(18mm,23mm){\framebox(174mm,251mm){}}%
    \vl@tempdima=145mm %
    \vl@tempdimb=255mm %
    \vl@tempdimc=12.67mm %    
    \put(\vl@tempdima,\vl@tempdimb){%
      \includegraphics[width=15mm]{Dangclass2_3.png}}%
    \advance\vl@tempdima-\vl@tempdimc
    \put(\vl@tempdima,\vl@tempdimb){%
      \includegraphics[width=15mm]{Dangclass2_2.png}}%
    \advance\vl@tempdima 3\vl@tempdimc 
    \put(\vl@tempdima,\vl@tempdimb){%
      \includegraphics[width=15mm]{Dangclass8.png}}%
    \advance\vl@tempdima-\vl@tempdimc
    \put(\vl@tempdima,\vl@tempdimb){%
      \includegraphics[width=15mm]{Dangclass3.png}}%
    %------------------------------------------------------------------
    \put(14mm,26mm){\rotatebox[origin=c]{90}{\tiny \vl@doc@style@code}}
  }%  
}

\AtBeginDocument{%
  \mbox{} \newpage
}

\emergencystretch=3em %
\pagestyle{empty}

\endinput
